UDaily
Logo Image
Zoom logo

Update your Zoom Client software by Nov. 1, 2021

Zoom’s new minimum update requirement takes effect Nov. 1

Beginning Nov. 1, 2021, Zoom users will be required to update their Zoom Client software to ensure it is no more than nine months behind the current version at any given time. You will be blocked from joining meetings if your software version is older than nine months.

To continue using Zoom, you must update your Zoom Client software by Nov. 1, 2021. From that point on, users will be prompted to update their software if their version falls behind the nine-month window.

This change is in line with industry practices for cloud-based services and is designed to help ensure that Zoom users receive the latest Zoom features, as well as any privacy and security enhancements made to the platform.

As always, we recommend you regularly download and update to the latest version of the Zoom software by checking for updates in the Zoom Client or at UDeploy.

See Zoom’s announcement for additional information.

For further information, please visit: https://sites.udel.edu/ats/conferencing/zoom/update/

More Inside UD Stories

See More Stories

Contact Us

Have a UDaily story idea?

Contact us at ocm@udel.edu

Members of the press

Contact us at 302-831-NEWS or visit the Media Relations website

ADVERTISEMENT